%define major 11
%define libname %mklibname %name %major
%define gtkmajor 11
%define gtklibname %mklibname %name-gtk %gtkmajor
%define develname %mklibname -d %name

Summary: A IM client based on Telepathy framework
Name: empathy
Version: 0.22.0
Release: %mkrel 1
License: LGPLv2+
Group: Networking/Instant messaging
URL: http://live.gnome.org/Empathy
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.22/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libtelepathy)
BuildRequires: pkgconfig(libmissioncontrol)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(libgnomeui-2.0)
BuildRequires: pkgconfig(libebook-1.2)
BuildRequires: intltool
BuildRequires: libgcrypt-devel
# required by aspell
BuildRequires: iso-codes
BuildRequires: aspell-devel
# for python binding
BuildRequires: python-devel
BuildRequires: pkgconfig(pygtk-2.0)
# for applet
BuildRequires: pkgconfig(libpanelapplet-2.0)
BuildRequires: libxslt-proc
Requires: telepathy-mission-control
# jabber by default, unless someone as a better idea
Requires: telepathy-gabble
Requires: %{libname} = %{version}-%{release}

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%description
Empathy consists of a rich set of reusable instant messaging widgets, as
well as a GNOME client that uses those widgets.

Empathy uses Telepathy and Nokia's Mission Control, and reuses Gossip's
UI. Its main goal is to integrate instant messaging with the desktop by
providing libempathy and libempathy-gtk libraries, a set of widgets that
can be embeded into any GNOME application.

%package -n %{libname}
Summary: Libraries for %{name}
Group: System/Libraries
Obsoletes: %mklibname %name 0

%description -n %{libname}
This package contains library files for %{name}.

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%package -n %{gtklibname}
Summary: Libraries for %{name}-gtk
Group: System/Libraries
Obsoletes: %mklibname %name 0

%description -n %{gtklibname}
This package contains library files for %{name}-gtk.

%post -n %{gtklibname} -p /sbin/ldconfig
%postun -n %{gtklibname} -p /sbin/ldconfig

%package -n %{develname}
Summary: Developement files for %{name}
Group: Development/GNOME and GTK+
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains developement files for %{name}.

%package -n python-%name
Summary: Python module for %{name}
Group: Development/Python

%description -n python-%name
This package contains the python module for %{name}.

%prep
%setup -q

%build
%configure2_5x --enable-python=yes --enable-aspell=yes --enable-nothere=yes --enable-voip=yes

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name} --with-gnome
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Empathy
Comment=Instant messaging client
Exec=%_bindir/empathy
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;InstantMessaging;
EOF

rm -Rf $RPM_BUILD_ROOT/%py_platsitedir/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas %{name}

%post
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor
%update_menus

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_sysconfdir}/gconf/schemas/*
%_datadir/icons/hicolor/*/apps/*
%_datadir/dbus-1/services/*
%{_datadir}/applications/mandriva-%{name}.desktop
%_bindir/*
%_datadir/%{name}/*
%{_sysconfdir}/xdg/autostart/empathy.desktop
%_datadir/telepathy/managers/*
%_datadir/mission-control/profiles/*


%_libdir/megaphone-applet
%_libdir/bonobo/servers/GNOME_Megaphone_Applet.server
%_libdir/bonobo/servers/GNOME_NotHere_Applet.server
%_libdir/nothere-applet
%{_libdir}/empathy-chat-chandler
%{_libdir}/empathy-call-chandler

%files -n python-%{name}
%defattr(-,root,root)
%py_platsitedir/*so

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libempathy.so.%{major}*

%files -n %{gtklibname}
%defattr(-,root,root)
%{_libdir}/libempathy-gtk.so.%{gtkmajor}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libempathy-gtk
%{_includedir}/libempathy
%{_datadir}/gtk-doc/html/libempathy-gtk
%{_datadir}/gtk-doc/html/libempathy


%changelog
* Mon Mar 10 2008 Michael Scherer <misc@mandriva.org> 0.22.0-1mdv2008.1
+ Revision: 183426
- new version 0.22

* Thu Mar 06 2008 Michael Scherer <misc@mandriva.org> 0.21.91-2mdv2008.1
+ Revision: 180346
- activate voip

* Tue Mar 04 2008 Michael Scherer <misc@mandriva.org> 0.21.91-1mdv2008.1
+ Revision: 178262
- add missing buildrequires
- new version, just before version freeze

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 0.21.90-1mdv2008.1
+ Revision: 164717
- New version 0.21.90

* Thu Jan 17 2008 Michael Scherer <misc@mandriva.org> 0.21.5.2-1mdv2008.1
+ Revision: 154098
- new major of the gtk library
- new version of empathy

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 0.21.4-1mdv2008.1
+ Revision: 145805
- Add files
- New release
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 0.21.1-1mdv2008.1
+ Revision: 102887
- new major
- New version 0.21.1

* Tue Oct 16 2007 Michael Scherer <misc@mandriva.org> 0.14-2mdv2008.1
+ Revision: 99004
- add NotHere applet ( even if disabled by default because it cannot be removed )
- split python from main package
- add megaphone applet
- correctly list python module on x86_64

  + Pascal Terjan <pterjan@mandriva.org>
    - Update major

  + Jérôme Soyer <saispo@mandriva.org>
    - New release
    - New release

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12-3mdv2008.0
+ Revision: 81781
- fix build deps

  + Michael Scherer <misc@mandriva.org>
    - rebuild for new mission control
    - add python binding

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Aug 27 2007 Michael Scherer <misc@mandriva.org> 0.12-1mdv2008.0
+ Revision: 71803
- new version

* Mon Aug 13 2007 Funda Wang <fundawang@mandriva.org> 0.11-1mdv2008.0
+ Revision: 62398
- split gtk lib, so that different major lib could be co-exists
- New version 0.11

* Tue Jul 31 2007 Funda Wang <fundawang@mandriva.org> 0.10-1mdv2008.0
+ Revision: 56837
- BR libgcrypt
- New version 0.10

* Thu Jul 26 2007 Funda Wang <fundawang@mandriva.org> 0.9-1mdv2008.0
+ Revision: 55812
- fix rpm group
- Introduce lib and devel sub package
- New version 0.9

* Mon Jun 25 2007 Michael Scherer <misc@mandriva.org> 0.8-1mdv2008.0
+ Revision: 43885
- new version

* Sat Jun 09 2007 Michael Scherer <misc@mandriva.org> 0.7-1mdv2008.0
+ Revision: 37721
- verson 0.7

* Sat Jun 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.6-1mdv2008.0
+ Revision: 34763
- New version 0.6
- Remove X-MandrivaLinux-* keyword from category

* Tue May 29 2007 Michael Scherer <misc@mandriva.org> 0.5-2mdv2008.0
+ Revision: 32270
- add missing Requires, and pull jabber by default
- new desc proposed by John Keller

* Mon May 28 2007 Michael Scherer <misc@mandriva.org> 0.5-1mdv2008.0
+ Revision: 31983
- new version

* Wed May 23 2007 Michael Scherer <misc@mandriva.org> 0.4-1mdv2008.0
+ Revision: 30451
- add missing BuildRequires
- add menui file
- Import empathy

